## cmake-vala 3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.3)
cmake_policy (VERSION 3.3)
project (VCM LANGUAGES NONE)
enable_testing ()
include(GNUInstallDirs)
include(FeatureSummary)

set(PROJECT_VERSION 1)

set(PACKAGE_INSTALL_DIR ${CMAKE_INSTALL_FULL_DATAROOTDIR}/${CMAKE_PROJECT_NAME})
set(FIND_MODULE_DIR ${PACKAGE_INSTALL_DIR}/Find/)
set(GIT_VERSION_MODULE_DIR ${PACKAGE_INSTALL_DIR}/GitVersion/)
set(GLIB_MODULE_DIR ${PACKAGE_INSTALL_DIR}/GLib/)
set(UTILITY_MODULE_DIR ${PACKAGE_INSTALL_DIR}/Utility/)
set(VALA_MODULE_DIR ${PACKAGE_INSTALL_DIR}/Vala/)

install(DIRECTORY Find DESTINATION ${PACKAGE_INSTALL_DIR} USE_SOURCE_PERMISSIONS)
install(DIRECTORY GitVersion DESTINATION ${PACKAGE_INSTALL_DIR} USE_SOURCE_PERMISSIONS)
install(DIRECTORY GLib DESTINATION ${PACKAGE_INSTALL_DIR} USE_SOURCE_PERMISSIONS)
install(DIRECTORY Utility DESTINATION ${PACKAGE_INSTALL_DIR} USE_SOURCE_PERMISSIONS)
install(DIRECTORY Vala DESTINATION ${PACKAGE_INSTALL_DIR} USE_SOURCE_PERMISSIONS)

#
# Config.cmake file
#

include(CMakePackageConfigHelpers)

configure_package_config_file(
    VCMConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/VCMConfig.cmake
    INSTALL_DESTINATION
        ${PACKAGE_INSTALL_DIR}
    PATH_VARS
        FIND_MODULE_DIR
        GIT_VERSION_MODULE_DIR
        GLIB_MODULE_DIR
        UTILITY_MODULE_DIR
        VALA_MODULE_DIR
)

write_basic_package_version_file(
    ${CMAKE_CURRENT_BINARY_DIR}/VCMConfigVersion.cmake
    VERSION
        "${PROJECT_VERSION}"
    COMPATIBILITY
        AnyNewerVersion
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/VCMConfig.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/VCMConfigVersion.cmake
    DESTINATION
        ${PACKAGE_INSTALL_DIR}
)

#
# Packaging
#

set (CPACK_PACKAGE_NAME vala-cmake-modules)
set (CPACK_PACKAGE_RELEASE ${PROJECT_VERSION})
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-r${CPACK_PACKAGE_RELEASE}")
set (CPACK_SOURCE_IGNORE_FILES "/VCMSubmodule.cmake;/build/;/.gitmodules;/.git;/.gitignore;~$;${CPACK_SOURCE_IGNORE_FILES}")
set (CPACK_SOURCE_GENERATOR "TXZ")
include (CPack)
add_custom_target (dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)



#
# Feature summary
#

feature_summary(
    FATAL_ON_MISSING_REQUIRED_PACKAGES
    WHAT ALL
)

## cmake-vala 1

=== debian/changelog ===
cmake-vala (1-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #906856).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Aug 2018 20:11:12 +0200

=== debian/control ===
Source: cmake-vala
Section: devel
Priority: optional
Maintainer: Mike Gabriel <sunweaver@debian.org>
Uploaders:
 Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>,
 Debian CMake Team <pkg-cmake-team@lists.alioth.debian.org>,
Build-Depends: cmake,
               debhelper (>= 11),
Standards-Version: 4.2.0
Homepage: https://gitlib.com/vala-panel-project/cmake-vala
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/cmake-vala.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/cmake-vala

Package: cmake-vala
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         cmake (>= 3.1),
Description: CMake utility modules needed for building Vala Panel (and related projects)
 CMake modules which are used for Vala Panel development.
 .
 Included CMake modules:
 .
   - various Find<PACKAGE> modules (e.g. BAMF, GTK+, PEAS, WNCK, X11)
   - various GLib helpers
   - various modules for Git based versioning
   - FindVala and ValaPrecompile modules
   - and others

## cmake-vala 3

=== debian/changelog ===
cmake-vala (3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.4.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Aug 2019 19:40:41 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Debian CMake Team <pkg-cmake-team@lists.alioth.debian.org>,
 Build-Depends: cmake,
                debhelper (>= 11),
-Standards-Version: 4.2.0
+Standards-Version: 4.4.0
 Homepage: https://gitlib.com/vala-panel-project/cmake-vala
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/cmake-vala.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/cmake-vala

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/cmake-vala-r?([\d\.-]+)\.tar\.gz/cmake-vala-$1.tar.gz/ \
https://gitlab.com/vala-panel-project/cmake-vala/tags .*/archive/.*/cmake-vala-r?([\d\.]+)\.tar\.gz
